Skip to main content
`Ctrl`+`K`

# DMPlexMetricSetNoSurf

Should surface modification be turned off?

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexMetricSetNoSurf(DM dm, PetscBool noSurf)

## Input Parameters

- dm - The `DM`

- noSurf - Should surface modification be turned off?

## Note

This is only used by Mmg and ParMmg (not Pragmatic).

## See Also

`DMPLEX`, `DMPlexMetricNoSurf()`, `DMPlexMetricSetNoMovement()`, `DMPlexMetricSetNoInsertion()`, `DMPlexMetricSetNoSwapping()`

## Level

beginner

## Location

src/dm/impls/plex/plexmetric.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages